Name:           perl-BSSolv
Version:        0.14
Release:        1%{?dist}.11
Url:            https://github.com/openSUSE/perl-BSSolv
Source0:        https://github.com/openSUSE/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# Align Debian and Arch support to libsolv, bug #1342160
Patch0:         BSSolv-0.13-Align-Debian-and-Arch-support-to-libsolv.patch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  libsolv-devel >= 0.6.20
BuildRequires:  libdb4-devel
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(strict)
BuildRequires:  expat-devel
BuildRequires:  perl
BuildRequires:  xz-devel
BuildRequires:  zlib-devel
BuildRequires:  perl(ExtUtils::MakeMaker)
Summary:        A new approach to package dependency solving
License:        GPL or Artistic
Group:          Development/Libraries

%description
Using a Satisfyability Solver to compute package dependencies.

%prep
%setup
%patch0 -p1

%build
perl Makefile.PL
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT/*

%files
%{perl_vendorarch}/BSSolv.pm
%{perl_vendorarch}/auto/BSSolv
%doc README

%changelog
* Mon Feb 12 2018 Oleg Girko <ol@infoserver.lv> - 0.14-1
- Update to 0.14
* Sun Feb 11 2018 Oleg Girko <ol@infoserver.lv> - 0.13-1
- Update to 0.13
* Fri Aug 19 2016 Oleg Girko <ol@infoserver.lv> - 0.09-2
- Add BuildRequires for compatibility with newer Fedora
* Fri Aug 19 2016 Oleg Girko <ol@infoserver.lv> - 0.09-1
- Update to 0.09
- Add patch to fix parsing of capabilities with "=" in their name
* Thu Jun 30 2016 Oleg Girko <ol@infoserver.lv> - 0.08-1
- Update to 0.08
* Tue Jun  7 2016 Petr Pisar <ppisar@redhat.com> - 0.01-13.git1e18c32
- Fix Debian and Arch support alignent to libsolv (bug #1342160)
- Rebuild against libsolv enabled Debian and Arch package format (bug #1342160)
* Mon Jun  6 2016 Petr Pisar <ppisar@redhat.com> - 0.01-12.git1e18c32
- Align Debian and Arch support to libsolv (bug #1342160)
* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.01-11.git1e18c32
- Perl 5.24 rebuild
* Thu Feb  4 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.01-10.git1e18c32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-9.git1e18c32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Wed Jun  3 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.01-8.git1e18c32
- Perl 5.22 rebuild
* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.01-7.git1e18c32
- Perl 5.20 rebuild
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-6.git1e18c32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild
* Sat Jun  7 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-5.git1e18c32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
* Sun Apr 27 2014 Josef Stribny <jstribny@redhat.com> 0.01-4.git1e18c32
- Fix license
- Add BR: perl(strict)
- Remove redundant BRs
* Sun Apr 20 2014 Josef Stribny <jstribny@redhat.com> 0.01-3.git1e18c32
- Remove libsolv dep
- use %%{?_smp_mflags} macro
* Wed Feb 19 2014 Josef Stribny <jstribny@redhat.com> 0.01-2.git1e18c32
- Clean up the spec file and changelog
- Use tarball for the sources
* Fri Feb 14 2014 Josef Stribny <jstribny@redhat.com> 0.01-1.git1e18c32
- Update to git release 1e18c32
- Fix upstream url
- Add README
- Change versioning to perl-BSSolv itself
